<?php
$tdatapurchasing_details1 = array();
$tdatapurchasing_details1[".searchableFields"] = array();
$tdatapurchasing_details1[".ShortName"] = "purchasing_details1";
$tdatapurchasing_details1[".OwnerID"] = "";
$tdatapurchasing_details1[".OriginalTable"] = "purchasing_details";


$tdatapurchasing_details1[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\",\"list_add\",\"list_add2\",\"list_list\",\"list_view\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatapurchasing_details1[".originalPagesByType"] = $tdatapurchasing_details1[".pagesByType"];
$tdatapurchasing_details1[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\",\"list_add\",\"list_add2\",\"list_list\",\"list_view\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatapurchasing_details1[".originalPages"] = $tdatapurchasing_details1[".pages"];
$tdatapurchasing_details1[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"list\":\"list\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatapurchasing_details1[".originalDefaultPages"] = $tdatapurchasing_details1[".defaultPages"];

//	field labels
$fieldLabelspurchasing_details1 = array();
$fieldToolTipspurchasing_details1 = array();
$pageTitlespurchasing_details1 = array();
$placeHolderspurchasing_details1 = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelspurchasing_details1["English"] = array();
	$fieldToolTipspurchasing_details1["English"] = array();
	$placeHolderspurchasing_details1["English"] = array();
	$pageTitlespurchasing_details1["English"] = array();
	$fieldLabelspurchasing_details1["English"]["id"] = "Id";
	$fieldToolTipspurchasing_details1["English"]["id"] = "";
	$placeHolderspurchasing_details1["English"]["id"] = "";
	$fieldLabelspurchasing_details1["English"]["pur_id"] = "Pur Id";
	$fieldToolTipspurchasing_details1["English"]["pur_id"] = "";
	$placeHolderspurchasing_details1["English"]["pur_id"] = "";
	$fieldLabelspurchasing_details1["English"]["bar_code"] = "Bar Code";
	$fieldToolTipspurchasing_details1["English"]["bar_code"] = "";
	$placeHolderspurchasing_details1["English"]["bar_code"] = "";
	$fieldLabelspurchasing_details1["English"]["unit"] = "Unit";
	$fieldToolTipspurchasing_details1["English"]["unit"] = "";
	$placeHolderspurchasing_details1["English"]["unit"] = "";
	$fieldLabelspurchasing_details1["English"]["gross"] = "Gross";
	$fieldToolTipspurchasing_details1["English"]["gross"] = "";
	$placeHolderspurchasing_details1["English"]["gross"] = "";
	$fieldLabelspurchasing_details1["English"]["price"] = "Price";
	$fieldToolTipspurchasing_details1["English"]["price"] = "";
	$placeHolderspurchasing_details1["English"]["price"] = "";
	$fieldLabelspurchasing_details1["English"]["tar"] = "Tar";
	$fieldToolTipspurchasing_details1["English"]["tar"] = "";
	$placeHolderspurchasing_details1["English"]["tar"] = "";
	$fieldLabelspurchasing_details1["English"]["net"] = "Net";
	$fieldToolTipspurchasing_details1["English"]["net"] = "";
	$placeHolderspurchasing_details1["English"]["net"] = "";
	$fieldLabelspurchasing_details1["English"]["sub_total"] = "Sub Total";
	$fieldToolTipspurchasing_details1["English"]["sub_total"] = "";
	$placeHolderspurchasing_details1["English"]["sub_total"] = "";
	$fieldLabelspurchasing_details1["English"]["product"] = "Product";
	$fieldToolTipspurchasing_details1["English"]["product"] = "";
	$placeHolderspurchasing_details1["English"]["product"] = "";
	$fieldLabelspurchasing_details1["English"]["details"] = "Details";
	$fieldToolTipspurchasing_details1["English"]["details"] = "";
	$placeHolderspurchasing_details1["English"]["details"] = "";
	$fieldLabelspurchasing_details1["English"]["cstatus"] = "Cstatus";
	$fieldToolTipspurchasing_details1["English"]["cstatus"] = "";
	$placeHolderspurchasing_details1["English"]["cstatus"] = "";
	$fieldLabelspurchasing_details1["English"]["outlet_code"] = "Outlet Code";
	$fieldToolTipspurchasing_details1["English"]["outlet_code"] = "";
	$placeHolderspurchasing_details1["English"]["outlet_code"] = "";
	$fieldLabelspurchasing_details1["English"]["user"] = "User";
	$fieldToolTipspurchasing_details1["English"]["user"] = "";
	$placeHolderspurchasing_details1["English"]["user"] = "";
	if (count($fieldToolTipspurchasing_details1["English"]))
		$tdatapurchasing_details1[".isUseToolTips"] = true;
}


	$tdatapurchasing_details1[".NCSearch"] = true;



$tdatapurchasing_details1[".shortTableName"] = "purchasing_details1";
$tdatapurchasing_details1[".nSecOptions"] = 0;

$tdatapurchasing_details1[".mainTableOwnerID"] = "";
$tdatapurchasing_details1[".entityType"] = 1;
$tdatapurchasing_details1[".connId"] = "test2_at_localhost";


$tdatapurchasing_details1[".strOriginalTableName"] = "purchasing_details";

	



$tdatapurchasing_details1[".showAddInPopup"] = false;

$tdatapurchasing_details1[".showEditInPopup"] = false;

$tdatapurchasing_details1[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatapurchasing_details1[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatapurchasing_details1[".listAjax"] = false;
//	temporary
$tdatapurchasing_details1[".listAjax"] = false;

	$tdatapurchasing_details1[".audit"] = true;

	$tdatapurchasing_details1[".locking"] = false;


$pages = $tdatapurchasing_details1[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatapurchasing_details1[".edit"] = true;
	$tdatapurchasing_details1[".afterEditAction"] = 1;
	$tdatapurchasing_details1[".closePopupAfterEdit"] = 1;
	$tdatapurchasing_details1[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatapurchasing_details1[".add"] = true;
$tdatapurchasing_details1[".afterAddAction"] = 1;
$tdatapurchasing_details1[".closePopupAfterAdd"] = 1;
$tdatapurchasing_details1[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatapurchasing_details1[".list"] = true;
}



$tdatapurchasing_details1[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatapurchasing_details1[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatapurchasing_details1[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatapurchasing_details1[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatapurchasing_details1[".printFriendly"] = true;
}



$tdatapurchasing_details1[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatapurchasing_details1[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatapurchasing_details1[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatapurchasing_details1[".isUseAjaxSuggest"] = true;

$tdatapurchasing_details1[".rowHighlite"] = true;



																																																																																																						

$tdatapurchasing_details1[".ajaxCodeSnippetAdded"] = false;

$tdatapurchasing_details1[".buttonsAdded"] = false;

$tdatapurchasing_details1[".addPageEvents"] = true;

// use timepicker for search panel
$tdatapurchasing_details1[".isUseTimeForSearch"] = false;


$tdatapurchasing_details1[".badgeColor"] = "6b8e23";


$tdatapurchasing_details1[".allSearchFields"] = array();
$tdatapurchasing_details1[".filterFields"] = array();
$tdatapurchasing_details1[".requiredSearchFields"] = array();

$tdatapurchasing_details1[".googleLikeFields"] = array();
$tdatapurchasing_details1[".googleLikeFields"][] = "id";
$tdatapurchasing_details1[".googleLikeFields"][] = "pur_id";
$tdatapurchasing_details1[".googleLikeFields"][] = "bar_code";
$tdatapurchasing_details1[".googleLikeFields"][] = "unit";
$tdatapurchasing_details1[".googleLikeFields"][] = "gross";
$tdatapurchasing_details1[".googleLikeFields"][] = "price";
$tdatapurchasing_details1[".googleLikeFields"][] = "tar";
$tdatapurchasing_details1[".googleLikeFields"][] = "net";
$tdatapurchasing_details1[".googleLikeFields"][] = "sub_total";
$tdatapurchasing_details1[".googleLikeFields"][] = "product";
$tdatapurchasing_details1[".googleLikeFields"][] = "details";
$tdatapurchasing_details1[".googleLikeFields"][] = "cstatus";
$tdatapurchasing_details1[".googleLikeFields"][] = "outlet_code";
$tdatapurchasing_details1[".googleLikeFields"][] = "user";



$tdatapurchasing_details1[".tableType"] = "list";

$tdatapurchasing_details1[".printerPageOrientation"] = 0;
$tdatapurchasing_details1[".nPrinterPageScale"] = 100;

$tdatapurchasing_details1[".nPrinterSplitRecords"] = 40;

$tdatapurchasing_details1[".geocodingEnabled"] = false;










$tdatapurchasing_details1[".pageSize"] = 20;

$tdatapurchasing_details1[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatapurchasing_details1[".strOrderBy"] = $tstrOrderBy;

$tdatapurchasing_details1[".orderindexes"] = array();


$tdatapurchasing_details1[".sqlHead"] = "SELECT id,  pur_id,  bar_code,  unit,  gross,  price,  tar,  net,  sub_total,  product,  details,cstatus,outlet_code,user";
$tdatapurchasing_details1[".sqlFrom"] = "FROM purchasing_details";
$tdatapurchasing_details1[".sqlWhereExpr"] = "";
$tdatapurchasing_details1[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatapurchasing_details1[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatapurchasing_details1[".arrGroupsPerPage"] = $arrGPP;

$tdatapurchasing_details1[".highlightSearchResults"] = true;

$tableKeyspurchasing_details1 = array();
$tableKeyspurchasing_details1[] = "id";
$tdatapurchasing_details1[".Keys"] = $tableKeyspurchasing_details1;


$tdatapurchasing_details1[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "purchasing_details";
	$fdata["Label"] = GetFieldLabel("purchasing_details1","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapurchasing_details1["id"] = $fdata;
		$tdatapurchasing_details1[".searchableFields"][] = "id";
//	pur_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "pur_id";
	$fdata["GoodName"] = "pur_id";
	$fdata["ownerTable"] = "purchasing_details";
	$fdata["Label"] = GetFieldLabel("purchasing_details1","pur_id");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "pur_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pur_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapurchasing_details1["pur_id"] = $fdata;
		$tdatapurchasing_details1[".searchableFields"][] = "pur_id";
//	bar_code
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "bar_code";
	$fdata["GoodName"] = "bar_code";
	$fdata["ownerTable"] = "purchasing_details";
	$fdata["Label"] = GetFieldLabel("purchasing_details1","bar_code");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "bar_code";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "bar_code";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapurchasing_details1["bar_code"] = $fdata;
		$tdatapurchasing_details1[".searchableFields"][] = "bar_code";
//	unit
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "unit";
	$fdata["GoodName"] = "unit";
	$fdata["ownerTable"] = "purchasing_details";
	$fdata["Label"] = GetFieldLabel("purchasing_details1","unit");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "unit";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "unit";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapurchasing_details1["unit"] = $fdata;
		$tdatapurchasing_details1[".searchableFields"][] = "unit";
//	gross
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "gross";
	$fdata["GoodName"] = "gross";
	$fdata["ownerTable"] = "purchasing_details";
	$fdata["Label"] = GetFieldLabel("purchasing_details1","gross");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "gross";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "gross";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapurchasing_details1["gross"] = $fdata;
		$tdatapurchasing_details1[".searchableFields"][] = "gross";
//	price
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "price";
	$fdata["GoodName"] = "price";
	$fdata["ownerTable"] = "purchasing_details";
	$fdata["Label"] = GetFieldLabel("purchasing_details1","price");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "price";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "price";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapurchasing_details1["price"] = $fdata;
		$tdatapurchasing_details1[".searchableFields"][] = "price";
//	tar
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "tar";
	$fdata["GoodName"] = "tar";
	$fdata["ownerTable"] = "purchasing_details";
	$fdata["Label"] = GetFieldLabel("purchasing_details1","tar");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "tar";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tar";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapurchasing_details1["tar"] = $fdata;
		$tdatapurchasing_details1[".searchableFields"][] = "tar";
//	net
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "net";
	$fdata["GoodName"] = "net";
	$fdata["ownerTable"] = "purchasing_details";
	$fdata["Label"] = GetFieldLabel("purchasing_details1","net");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "net";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "net";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
		$edata["autoUpdatable"] = true;

	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapurchasing_details1["net"] = $fdata;
		$tdatapurchasing_details1[".searchableFields"][] = "net";
//	sub_total
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "sub_total";
	$fdata["GoodName"] = "sub_total";
	$fdata["ownerTable"] = "purchasing_details";
	$fdata["Label"] = GetFieldLabel("purchasing_details1","sub_total");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "sub_total";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "sub_total";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapurchasing_details1["sub_total"] = $fdata;
		$tdatapurchasing_details1[".searchableFields"][] = "sub_total";
//	product
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "product";
	$fdata["GoodName"] = "product";
	$fdata["ownerTable"] = "purchasing_details";
	$fdata["Label"] = GetFieldLabel("purchasing_details1","product");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "product";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "product";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "product";
		$edata["listPageId"] = "list";
		$edata["autoCompleteFieldsOnEdit"] = 1;
	$edata["autoCompleteFields"] = array();
		$edata["autoCompleteFields"][] = array('masterF'=>"bar_code", 'lookupF'=>"bar_code");
	$edata["autoCompleteFields"][] = array('masterF'=>"unit", 'lookupF'=>"unit");
	$edata["LCType"] = 1;

	
		
	$edata["LinkField"] = "product_name";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "product_name";

	

	
	$edata["LookupOrderBy"] = "id";

	
	
	
	

	
	
	
// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapurchasing_details1["product"] = $fdata;
		$tdatapurchasing_details1[".searchableFields"][] = "product";
//	details
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "details";
	$fdata["GoodName"] = "details";
	$fdata["ownerTable"] = "purchasing_details";
	$fdata["Label"] = GetFieldLabel("purchasing_details1","details");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "details";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "details";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
		$edata["autoUpdatable"] = true;

	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapurchasing_details1["details"] = $fdata;
		$tdatapurchasing_details1[".searchableFields"][] = "details";
//	cstatus
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "cstatus";
	$fdata["GoodName"] = "cstatus";
	$fdata["ownerTable"] = "purchasing_details";
	$fdata["Label"] = GetFieldLabel("purchasing_details1","cstatus");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "cstatus";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "cstatus";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
		$edata["autoUpdatable"] = true;

	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapurchasing_details1["cstatus"] = $fdata;
		$tdatapurchasing_details1[".searchableFields"][] = "cstatus";
//	outlet_code
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "outlet_code";
	$fdata["GoodName"] = "outlet_code";
	$fdata["ownerTable"] = "purchasing_details";
	$fdata["Label"] = GetFieldLabel("purchasing_details1","outlet_code");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "outlet_code";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "outlet_code";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
		$edata["autoUpdatable"] = true;

	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapurchasing_details1["outlet_code"] = $fdata;
		$tdatapurchasing_details1[".searchableFields"][] = "outlet_code";
//	user
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 14;
	$fdata["strName"] = "user";
	$fdata["GoodName"] = "user";
	$fdata["ownerTable"] = "purchasing_details";
	$fdata["Label"] = GetFieldLabel("purchasing_details1","user");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "user";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "user";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
		$edata["autoUpdatable"] = true;

	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatapurchasing_details1["user"] = $fdata;
		$tdatapurchasing_details1[".searchableFields"][] = "user";


$tables_data["purchasing_details1"]=&$tdatapurchasing_details1;
$field_labels["purchasing_details1"] = &$fieldLabelspurchasing_details1;
$fieldToolTips["purchasing_details1"] = &$fieldToolTipspurchasing_details1;
$placeHolders["purchasing_details1"] = &$placeHolderspurchasing_details1;
$page_titles["purchasing_details1"] = &$pageTitlespurchasing_details1;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["purchasing_details1"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["purchasing_details1"] = array();



	
				$strOriginalDetailsTable="purchasing";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="quick_purchasing";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "quick_purchasing";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["purchasing_details1"][0] = $masterParams;
				$masterTablesData["purchasing_details1"][0]["masterKeys"] = array();
	$masterTablesData["purchasing_details1"][0]["masterKeys"][]="id";
				$masterTablesData["purchasing_details1"][0]["detailKeys"] = array();
	$masterTablesData["purchasing_details1"][0]["detailKeys"][]="pur_id";
		
// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_purchasing_details1()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  pur_id,  bar_code,  unit,  gross,  price,  tar,  net,  sub_total,  product,  details,cstatus,outlet_code,user";
$proto0["m_strFrom"] = "FROM purchasing_details";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "purchasing_details",
	"m_srcTableName" => "purchasing_details1"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "purchasing_details1";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "pur_id",
	"m_strTable" => "purchasing_details",
	"m_srcTableName" => "purchasing_details1"
));

$proto8["m_sql"] = "pur_id";
$proto8["m_srcTableName"] = "purchasing_details1";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "bar_code",
	"m_strTable" => "purchasing_details",
	"m_srcTableName" => "purchasing_details1"
));

$proto10["m_sql"] = "bar_code";
$proto10["m_srcTableName"] = "purchasing_details1";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "unit",
	"m_strTable" => "purchasing_details",
	"m_srcTableName" => "purchasing_details1"
));

$proto12["m_sql"] = "unit";
$proto12["m_srcTableName"] = "purchasing_details1";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "gross",
	"m_strTable" => "purchasing_details",
	"m_srcTableName" => "purchasing_details1"
));

$proto14["m_sql"] = "gross";
$proto14["m_srcTableName"] = "purchasing_details1";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "price",
	"m_strTable" => "purchasing_details",
	"m_srcTableName" => "purchasing_details1"
));

$proto16["m_sql"] = "price";
$proto16["m_srcTableName"] = "purchasing_details1";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "tar",
	"m_strTable" => "purchasing_details",
	"m_srcTableName" => "purchasing_details1"
));

$proto18["m_sql"] = "tar";
$proto18["m_srcTableName"] = "purchasing_details1";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "net",
	"m_strTable" => "purchasing_details",
	"m_srcTableName" => "purchasing_details1"
));

$proto20["m_sql"] = "net";
$proto20["m_srcTableName"] = "purchasing_details1";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "sub_total",
	"m_strTable" => "purchasing_details",
	"m_srcTableName" => "purchasing_details1"
));

$proto22["m_sql"] = "sub_total";
$proto22["m_srcTableName"] = "purchasing_details1";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "product",
	"m_strTable" => "purchasing_details",
	"m_srcTableName" => "purchasing_details1"
));

$proto24["m_sql"] = "product";
$proto24["m_srcTableName"] = "purchasing_details1";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto26=array();
			$obj = new SQLField(array(
	"m_strName" => "details",
	"m_strTable" => "purchasing_details",
	"m_srcTableName" => "purchasing_details1"
));

$proto26["m_sql"] = "details";
$proto26["m_srcTableName"] = "purchasing_details1";
$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "";
$obj = new SQLFieldListItem($proto26);

$proto0["m_fieldlist"][]=$obj;
						$proto28=array();
			$obj = new SQLField(array(
	"m_strName" => "cstatus",
	"m_strTable" => "purchasing_details",
	"m_srcTableName" => "purchasing_details1"
));

$proto28["m_sql"] = "cstatus";
$proto28["m_srcTableName"] = "purchasing_details1";
$proto28["m_expr"]=$obj;
$proto28["m_alias"] = "";
$obj = new SQLFieldListItem($proto28);

$proto0["m_fieldlist"][]=$obj;
						$proto30=array();
			$obj = new SQLField(array(
	"m_strName" => "outlet_code",
	"m_strTable" => "purchasing_details",
	"m_srcTableName" => "purchasing_details1"
));

$proto30["m_sql"] = "outlet_code";
$proto30["m_srcTableName"] = "purchasing_details1";
$proto30["m_expr"]=$obj;
$proto30["m_alias"] = "";
$obj = new SQLFieldListItem($proto30);

$proto0["m_fieldlist"][]=$obj;
						$proto32=array();
			$obj = new SQLField(array(
	"m_strName" => "user",
	"m_strTable" => "purchasing_details",
	"m_srcTableName" => "purchasing_details1"
));

$proto32["m_sql"] = "user";
$proto32["m_srcTableName"] = "purchasing_details1";
$proto32["m_expr"]=$obj;
$proto32["m_alias"] = "";
$obj = new SQLFieldListItem($proto32);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto34=array();
$proto34["m_link"] = "SQLL_MAIN";
			$proto35=array();
$proto35["m_strName"] = "purchasing_details";
$proto35["m_srcTableName"] = "purchasing_details1";
$proto35["m_columns"] = array();
$proto35["m_columns"][] = "id";
$proto35["m_columns"][] = "pur_id";
$proto35["m_columns"][] = "bar_code";
$proto35["m_columns"][] = "unit";
$proto35["m_columns"][] = "gross";
$proto35["m_columns"][] = "price";
$proto35["m_columns"][] = "tar";
$proto35["m_columns"][] = "net";
$proto35["m_columns"][] = "sub_total";
$proto35["m_columns"][] = "stock_rece_code";
$proto35["m_columns"][] = "stock_send_code";
$proto35["m_columns"][] = "product";
$proto35["m_columns"][] = "details";
$proto35["m_columns"][] = "package_details";
$proto35["m_columns"][] = "cstatus";
$proto35["m_columns"][] = "outlet_code";
$proto35["m_columns"][] = "user";
$obj = new SQLTable($proto35);

$proto34["m_table"] = $obj;
$proto34["m_sql"] = "purchasing_details";
$proto34["m_alias"] = "";
$proto34["m_srcTableName"] = "purchasing_details1";
$proto36=array();
$proto36["m_sql"] = "";
$proto36["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto36["m_column"]=$obj;
$proto36["m_contained"] = array();
$proto36["m_strCase"] = "";
$proto36["m_havingmode"] = false;
$proto36["m_inBrackets"] = false;
$proto36["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto36);

$proto34["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto34);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="purchasing_details1";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_purchasing_details1 = createSqlQuery_purchasing_details1();


	
		;

														

$tdatapurchasing_details1[".sqlquery"] = $queryData_purchasing_details1;



include_once(getabspath("include/purchasing_details1_events.php"));
$tableEvents["purchasing_details1"] = new eventclass_purchasing_details1;
$tdatapurchasing_details1[".hasEvents"] = true;

?>